@echo off

for /f "tokens=1 delims=," %%i in ('whoami /groups /FO CSV /NH') do (
	if "%%~i"=="BUILTIN\Administrators" set ISAD=1
	if "%%~i"=="Mandatory Label\High Mandatory Level" set ISHM=1
)

if "%ISAD%" neq "1" (
	exit /b 1
)
if "%ISHM%" neq "1" (
	exit /b 2
)

exit /b 0